### Hierarchy

- unknown
  - PaymentSentMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getBuyerSignature
- getBuyerSignature_asB64
- getBuyerSignature_asU8
- getCounterCurrencyExtraData
- getCounterCurrencyTxId
- getPaymentAccountKey
- getPaymentAccountKey_asB64
- getPaymentAccountKey_asU8
- getPayoutTxHex
- getSenderNodeAddress
- getTradeId
- getUid
- getUpdatedMultisigHex
- hasSenderNodeAddress
- serializeBinary
- setBuyerSignature
- setCounterCurrencyExtraData
- setCounterCurrencyTxId
- setPaymentAccountKey
- setPayoutTxHex
- setSenderNodeAddress
- setTradeId
- setUid
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentSentMessage(): PaymentSentMessage

- Inherited from jspb.Message.constructor

  #### Returns PaymentSentMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1842

  #### Returns PaymentSentMessage

### getBuyerSignature

- getBuyerSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1864

  #### Returns string | Uint8Array

### getBuyerSignature_asB64

- getBuyerSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1866

  #### Returns string

### getBuyerSignature_asU8

- getBuyerSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1865

  #### Returns Uint8Array

### getCounterCurrencyExtraData

- getCounterCurrencyExtraData(): string

- - Defined in src/protobuf/pb_pb.d.ts:1850

  #### Returns string

### getCounterCurrencyTxId

- getCounterCurrencyTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1844

  #### Returns string

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1859

  #### Returns string | Uint8Array

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1861

  #### Returns string

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1860

  #### Returns Uint8Array

### getPayoutTxHex

- getPayoutTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1853

  #### Returns string

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1839

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1836

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1847

  #### Returns string

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1856

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1841

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1869

  #### Returns Uint8Array

### setBuyerSignature

- setBuyerSignature(value: string | Uint8Array): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1867

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentSentMessage

### setCounterCurrencyExtraData

- setCounterCurrencyExtraData(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1851

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### setCounterCurrencyTxId

- setCounterCurrencyTxId(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1845

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1862

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentSentMessage

### setPayoutTxHex

- setPayoutTxHex(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1854

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1840

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns PaymentSentMessage

### setTradeId

- setTradeId(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1837

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### setUid

- setUid(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1848

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1857

  #### Parameters

  - ##### value: string

  #### Returns PaymentSentMessage

### toObject

- toObject(includeInstance?: boolean): PaymentSentMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1870

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentSentMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1873

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentSentMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentSentMessage, reader: BinaryReader): PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1874

  #### Parameters

  - ##### message: PaymentSentMessage

  - ##### reader: BinaryReader

  #### Returns PaymentSentMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentSentMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1872

  #### Parameters

  - ##### message: PaymentSentMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentSentMessage ): PaymentSentMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1871

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentSentMessage

  #### Returns PaymentSentMessage . AsObject

Generated using TypeDoc